Bing
Bing: Search
Search from Bing. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
bing
/
search
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/bing/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/bing/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/bing/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/bing/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/bing/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/bing/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/bing/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/bing/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "bing.search",
"params": {
"query": "best web scraping api"
},
"response": {
"data": [
{
"position": 1,
"title": "Best",
"description": "Sep 14, 2026 · Надійний інтернет-провайдер Best ⭐️ Головна ⚡️Швидкість від 200 Мбіт/с до 1 Гбіт/с ⭐️ Працює при …",
"url": "https://best.net.ua/",
"domain": "best.net.ua"
},
{
"position": 2,
"title": "BEST | English meaning - Cambridge Dictionary",
"description": "BEST definition: 1. of the highest quality, or being the most suitable, pleasing, or effective type of thing or…. Learn more.",
"url": "https://dictionary.cambridge.org/dictionary/english/best",
"domain": "dictionary.cambridge.org"
},
{
"position": 3,
"title": "BEST Definition & Meaning - Merriam-Webster",
"description": "4 days ago · In the best of all possible worlds, no one would be without food and clean water. I have a wonderful family and a great …",
"url": "https://www.merriam-webster.com/dictionary/best",
"domain": "www.merriam-webster.com"
}
],
"results_on_page": 10,
"source": "bing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Bing API overview for every Bing endpoint.
Authorizations
Query Parameters
Maximum string length:
500Maximum string length:
253Maximum string length:
20Available options:
off, moderate, strict Maximum string length:
20Was this page helpful?
⌘I
Search
curl --request GET \
--url https://api.perceptlayer.com/v1/bing/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/bing/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/bing/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/bing/search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/bing/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/bing/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/bing/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/bing/search")
.header("X-API-Key", "<api-key>")
.asString();{
"endpoint": "bing.search",
"params": {
"query": "best web scraping api"
},
"response": {
"data": [
{
"position": 1,
"title": "Best",
"description": "Sep 14, 2026 · Надійний інтернет-провайдер Best ⭐️ Головна ⚡️Швидкість від 200 Мбіт/с до 1 Гбіт/с ⭐️ Працює при …",
"url": "https://best.net.ua/",
"domain": "best.net.ua"
},
{
"position": 2,
"title": "BEST | English meaning - Cambridge Dictionary",
"description": "BEST definition: 1. of the highest quality, or being the most suitable, pleasing, or effective type of thing or…. Learn more.",
"url": "https://dictionary.cambridge.org/dictionary/english/best",
"domain": "dictionary.cambridge.org"
},
{
"position": 3,
"title": "BEST Definition & Meaning - Merriam-Webster",
"description": "4 days ago · In the best of all possible worlds, no one would be without food and clean water. I have a wonderful family and a great …",
"url": "https://www.merriam-webster.com/dictionary/best",
"domain": "www.merriam-webster.com"
}
],
"results_on_page": 10,
"source": "bing"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}